Bug 1866298 - [RHOCS Usability Study][Installation] Labeling the namespace should be a part of the installation flow or be clearer as a requirement
Summary: [RHOCS Usability Study][Installation] Labeling the namespace should be a part...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.7.0
Assignee: Bipul Adhikari
QA Contact: Neha Berry
URL:
Whiteboard:
: 1894158 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 10:36 UTC by Harish NV Rao
Modified: 2021-02-24 15:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:14:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
Install-operator-page (219.25 KB, image/png)
2020-12-18 18:16 UTC, Neha Berry
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7487 0 None closed Bug 1866298: Label namespace during storage cluster creation 2021-02-16 08:09:38 UTC
Github openshift console pull 7630 0 None closed Bug 1866298: Fix namespace labeling issue when storage cluster is created 2021-02-16 08:09:38 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:14:42 UTC

Description Harish NV Rao 2020-08-05 10:36:43 UTC
Description of problem:

Currently(4.4.0 and below) the labeling of the namespace is part of the installation instruction which users might miss to add during the namespace creation. Making labeling as part of the deployment window can help avoid this problem.

UX issue severity level: 2-High (refer below mentioned doc for severity levels)

This BZ is being filed based on the Usability study conducted on RHOCS during July 2020. A complete report on this Usability study can be found here: https://docs.google.com/presentation/d/1w65Rl2ZsTew-TIqgKUaZ9Y-1DmG1Z4Y59sYQjYC_mMM/edit#slide=id.g547716335e_0_260


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Martin Bukatovic 2020-08-05 16:14:08 UTC
Labeling is now automated as well (see BZ 1857275 for details), but it's not selected by default.

Comment 2 Ankush Behl 2020-09-14 06:40:12 UTC
Based on comment from Console team. Closing this one as NOTABUG.

https://bugzilla.redhat.com/show_bug.cgi?id=1871771#c6

Comment 3 Bipul Adhikari 2020-12-09 14:51:45 UTC
Reopening and fixing this by Removing the option to label from OLM creation flow and directly labelling the namespace during storage cluster creation.

Comment 4 Bipul Adhikari 2020-12-10 11:01:30 UTC
*** Bug 1894158 has been marked as a duplicate of this bug. ***

Comment 8 Neha Berry 2020-12-18 18:16:24 UTC
Created attachment 1740340 [details]
Install-operator-page

Logs copied - http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/bz-1866298/

Comment 14 errata-xmlrpc 2021-02-24 15:14:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.